CVE-2002-1840
CVSS10.0
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:31:39
NMCO    

[原文]irssi IRC client 0.8.4, when downloaded after 14-March-2002, could contain a backdoor in the configuration file, which allows remote attackers to access the system.


[CNNVD]IRSSI被放置木马远程任意访问漏洞(CNNVD-200212-236)

        
        irssi是一款免费开放源代码的IRC客户端,可使用在Linux和Unix操作系统下。
        irssi由于主机被入侵源代码植入后门,导致远程攻击者可以任意访问运行被植入后门的irssi程序的系统。
        irssi所在的主机在4月初到5月末之间被破坏,源代码被改动植入了后门,此后门允许来自IP地址204.120.36.206的用户远程任意访问运行irssi的系统。所以在此阶段下载源代码运行的用户存在被远程控制的危险。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1840
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1840
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-236
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/4831
(PATCH)  BID  4831
http://www.iss.net/security_center/static/9176.php
(UNKNOWN)  XF  irssi-backdoor-version(9176)
http://real.irssi.org/?page=backdoor
(VENDOR_ADVISORY)  CONFIRM  http://real.irssi.org/?page=backdoor

- 漏洞信息

IRSSI被放置木马远程任意访问漏洞
危急 访问验证错误
2002-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        irssi是一款免费开放源代码的IRC客户端,可使用在Linux和Unix操作系统下。
        irssi由于主机被入侵源代码植入后门,导致远程攻击者可以任意访问运行被植入后门的irssi程序的系统。
        irssi所在的主机在4月初到5月末之间被破坏,源代码被改动植入了后门,此后门允许来自IP地址204.120.36.206的用户远程任意访问运行irssi的系统。所以在此阶段下载源代码运行的用户存在被远程控制的危险。
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 检查配置文件是否存在"SOCK_STREAM"字符串,如果存在请暂停使用。
        厂商补丁:
        irssi
        -----
        如果在配置文件中存在"SOCK_STREAM"字符串表明此源代码存在后门,请下载升级程序:
        irssi irssi 0.8.4:
        irssi Upgrade irssi-0.8.4a.tar.gz
        
        http://real.irssi.org/files/irssi-0.8.4a.tar.gz

- 漏洞信息

53125
irssi on main.irssi.org Trojaned Distribution
Remote / Network Access Other
Loss of Integrity Upgrade
Exploit Public Vendor Verified

- 漏洞描述

- 时间线

2002-05-25 Unknow
Unknow 2002-05-25

- 解决方案

Upgrade to version 0.8.4 (2002-05-25) or higher, as it has been reported to fix this vulnerability. Note that this flaw was fixed in the 2002-05-25 release without a change in version number. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站